OrcAcidUtils (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class OrcAcidUtils

- java.lang.Object
- - org.apache.orc.impl.OrcAcidUtils

-     public class OrcAcidUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACID_STATS`
    `static String` | `DELTA_SIDE_FILE_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcAcidUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getLastFlushLength(FileSystem fs, Path deltaFile)` Read the side file to get the last flush length.
    `static Path` | `getSideFile(Path main)` Get the filename of the ORC ACID side file that contains the lengths of the intermediate footers.
    `static AcidStats` | `parseAcidStats(Reader reader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACID_STATS

          public static final String ACID_STATS

      See Also:
        Constant Field Values

    - #### DELTA_SIDE_FILE_SUFFIX

          public static final String DELTA_SIDE_FILE_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OrcAcidUtils

          public OrcAcidUtils()

  - ### Method Detail

    - #### getSideFile

          public static Path getSideFile(Path main)

      Get the filename of the ORC ACID side file that contains the lengths of the intermediate footers.
      Parameters:
        `main` - the main ORC filename
      Returns:
        the name of the side file

    - #### getLastFlushLength

          public static long getLastFlushLength(FileSystem fs,
                                                Path deltaFile)
                                         throws IOException

      Read the side file to get the last flush length.
      Parameters:
        `fs` - the file system to use
        `deltaFile` - the path of the delta file
      Returns:
        the maximum size of the file to use
      Throws:
        `IOException`

    - #### parseAcidStats

          public static AcidStats parseAcidStats(Reader reader)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.